Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class BpelEngineImpl

    java.lang.Object
      org.apache.ode.bpel.engine.BpelEngineImpl

All Implemented Interfaces:
  BpelEngine, Scheduler.JobProcessor

    public class BpelEngineImpl

extends java.lang.Object
implements BpelEngine

Implementation of the `BpelEngine` interface: provides the server methods that should be invoked in the context of a transaction.

Constructor Summary
`BpelEngineImpl(org.apache.ode.bpel.engine.Contexts contexts)`

Method Summary
`MyRoleMessageExchange` | `createMessageExchange(java.lang.String clientKey, javax.xml.namespace.QName targetService, java.lang.String operation)` Create a "my role" message exchange for invoking a BPEL process.
`MyRoleMessageExchange` | `createMessageExchange(java.lang.String clientKey, javax.xml.namespace.QName targetService, java.lang.String operation, java.lang.String pipedMexId)`
`MessageExchange` | `getMessageExchange(java.lang.String mexId)` Retrieve a message identified by the given identifer.
`void` | `onScheduledJob(Scheduler.JobInfo jobInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BpelEngineImpl

    public BpelEngineImpl(org.apache.ode.bpel.engine.Contexts contexts)

Method Detail

### createMessageExchange

    public MyRoleMessageExchange createMessageExchange(java.lang.String clientKey,
                                                       javax.xml.namespace.QName targetService,
                                                       java.lang.String operation,
                                                       java.lang.String pipedMexId)
                                                throws BpelEngineException

  Throws:
    `BpelEngineException`

### createMessageExchange

    public MyRoleMessageExchange createMessageExchange(java.lang.String clientKey,
                                                       javax.xml.namespace.QName targetService,
                                                       java.lang.String operation)

  Description copied from interface: `BpelEngine`
  Create a "my role" message exchange for invoking a BPEL process.

  Specified by:
    `createMessageExchange` in interface `BpelEngine`
    `targetService` - the service id of the process being called, if known
    `operation` - name of the operation
  Returns:
    `MyRoleMessageExchange` the newly created message exchange

### getMessageExchange

    public MessageExchange getMessageExchange(java.lang.String mexId)
                                       throws BpelEngineException

  Description copied from interface: `BpelEngine`
  Retrieve a message identified by the given identifer.

  Specified by:
    `getMessageExchange` in interface `BpelEngine`
  Parameters:
    `mexId` - message exhcange identifier
  Returns:
    associated message exchange
  Throws:
    `BpelEngineException`

### onScheduledJob

    public void onScheduledJob(Scheduler.JobInfo jobInfo)
                        throws Scheduler.JobProcessorException

  Specified by:
    `onScheduledJob` in interface `Scheduler.JobProcessor`
  Throws:
    `Scheduler.JobProcessorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD